> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.etera.dev/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.etera.dev/_mcp/server.

# Send topic notification asynchronously

POST https://api.etera.dev/notification/push/async/topic
Content-Type: application/json

**Asynchronous Topic Notification**

Queues a topic-based push notification for background processing.

**Features:**

* Topic-based messaging
* Background job processing
* Automatic retries with exponential backoff
* Priority-based processing
* Job status tracking

**Example Request:**

```
POST /push/async/topic
Authorization: Bearer your-jwt-token
Content-Type: application/json

{
  "topic": "news",
  "title": "Breaking News",
  "body": "Important update available",
  "priority": "high",
  "queueOptions": {
    "priority": 9,
    "maxRetries": 5
  }
}
```

Reference: https://docs.etera.dev/platform/notifications/notification-api/push-notifications/post-push-async-topic

## Authentication

- `Authorization` header (bearer token, required) — JWT token for authentication. Use 'test-jwt-token' for development.

## Servers

- `https://api.etera.dev/notification` (Production, default)
- `https://api-stage.etera.dev/notification` (Staging)
- `https://api-dev.etera.dev/notification` (Development)

## Request

### Body (application/json)

This endpoint expects an object.

- `topic` (string, required)
- `title` (string, required)
- `body` (string, required)
- `data` (PushAsyncTopicPostRequestBodyContentApplicationJsonSchemaData, optional)
- `imageUrl` (string, optional)
- `clickAction` (string, optional)
- `badge` (double, optional)
- `sound` (string, optional)
- `priority` (PushAsyncTopicPostRequestBodyContentApplicationJsonSchemaPriority, optional)
- `timeToLive` (double, optional)
- `queueOptions` (PushAsyncTopicPostRequestBodyContentApplicationJsonSchemaQueueOptions, optional)

## Response

### 200

- `success` (boolean, required)
- `data` (PushAsyncTopicPostResponsesContentApplicationJsonSchemaData, optional)
- `error` (PushAsyncTopicPostResponsesContentApplicationJsonSchemaError, optional)

## Types

### PushAsyncTopicPostRequestBodyContentApplicationJsonSchemaData

### PushAsyncTopicPostRequestBodyContentApplicationJsonSchemaPriority

- "high"
- "normal"

### PushAsyncTopicPostRequestBodyContentApplicationJsonSchemaQueueOptions

- `priority` (double, optional)
- `maxRetries` (double, optional)
- `scheduledFor` (datetime, optional)
- `expiresAt` (datetime, optional)
- `userId` (string, optional)
- `correlationId` (string, optional)
- `metadata` (PushAsyncTopicPostRequestBodyContentApplicationJsonSchemaQueueOptionsMetadata, optional)

### PushAsyncTopicPostResponsesContentApplicationJsonSchemaData

- `jobId` (string, required)
- `status` (string, required)

### PushAsyncTopicPostResponsesContentApplicationJsonSchemaError

- `message` (string, required)
- `code` (string, optional)
- `details` (any, optional)

### PushAsyncTopicPostRequestBodyContentApplicationJsonSchemaQueueOptionsMetadata

## Examples

**Request**

```json
{
  "topic": "string",
  "title": "string",
  "body": "string"
}
```

**Response**

```json
{
  "success": true,
  "data": {
    "jobId": "string",
    "status": "string"
  },
  "error": {
    "message": "string",
    "code": "string"
  }
}
```

**SDK Code**

```python
import requests

url = "https://api.etera.dev/notification/push/async/topic"

payload = {
    "topic": "string",
    "title": "string",
    "body": "string"
}
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.etera.dev/notification/push/async/topic';
const options = {
  method: 'POST',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: '{"topic":"string","title":"string","body":"string"}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.etera.dev/notification/push/async/topic"

	payload := strings.NewReader("{\n  \"topic\": \"string\",\n  \"title\": \"string\",\n  \"body\": \"string\"\n}")

	req, _ := http.NewRequest("POST", url, payload)

	req.Header.Add("Authorization", "Bearer <token>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.etera.dev/notification/push/async/topic")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"topic\": \"string\",\n  \"title\": \"string\",\n  \"body\": \"string\"\n}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://api.etera.dev/notification/push/async/topic")
  .header("Authorization", "Bearer <token>")
  .header("Content-Type", "application/json")
  .body("{\n  \"topic\": \"string\",\n  \"title\": \"string\",\n  \"body\": \"string\"\n}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://api.etera.dev/notification/push/async/topic', [
  'body' => '{
  "topic": "string",
  "title": "string",
  "body": "string"
}',
  'headers' => [
    'Authorization' => 'Bearer <token>',
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.etera.dev/notification/push/async/topic");
var request = new RestRequest(Method.POST);
request.AddHeader("Authorization", "Bearer <token>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"topic\": \"string\",\n  \"title\": \"string\",\n  \"body\": \"string\"\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "Authorization": "Bearer <token>",
  "Content-Type": "application/json"
]
let parameters = [
  "topic": "string",
  "title": "string",
  "body": "string"
] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.etera.dev/notification/push/async/topic")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```